Search documentation of polar_express

# PolarExpress.Services.CustomerPortal.WalletsService (polar_express v0.1.5)

Copy Markdown View Source

Wallets

Wallets API operations.

## Summary

### Functions

get_wallet(client, id, params \\ %{}, opts \\ [])

Get Wallet

list_wallets(client, params \\ %{}, opts \\ [])

List Wallets

## Functions

# get_wallet(client, id, params \\ %{}, opts \\ [])

    @spec get_wallet(PolarExpress.Client.t(), String.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.CustomerWallet.t()}
      | {:error, PolarExpress.Error.t()}

Get Wallet

Get a wallet by ID for the authenticated customer.

See `PolarExpress.Params.CustomerPortal.WalletsGetWalletParams` for parameter details.

# list_wallets(client, params \\ %{}, opts \\ [])

    @spec list_wallets(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Wallets

List wallets of the authenticated customer.

See `PolarExpress.Params.CustomerPortal.WalletsListWalletsParams` for parameter details.